
function guardarInstruccionesEncuesta242()
{
    var url = '../controllers/Encuesta242Controller.php';
    var $datos = $('#frmInstruccionesEnc242').serialize();
    $.post(url,$datos,
        function (data)
        {
            if(data.type==='success'){
                mostrarMensajeGuardado("Instructions section saved", "Instructions have been registerd.", "success", "OK")
            }
            else
            {
                mostrarMensajeGuardado("Instructions section saved", "Instructions have not been registerd.", "error", "OK")
            }
            document.getElementById("iniciarEnceusta").disabled=false;
            $("#iniciarEnceusta").html('<i class="fa fa-5x fa-copy"></i>Realizar Encuesta');
            ligaRedirect ="https://sadpro.osvaldo.com/encuesta2/registro/controllers/Encuesta242Controller.php?token="+data.token+"&opc="+data.opc;
        }, 'json');
}

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}